/* eslint-disable @typescript-eslint/no-require-imports */
const fs = require("fs");

const dataTs = (fileName) => `import { RenderFunction } from "vue";

declare const ${fileName}: RenderFunction;
export default ${fileName};
`;

const dataIcon = `import { createElementVNode as _createElementVNode, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";

export default function render(_ctx, _cache) {
  return (
    _openBlock(),
    _createElementBlock(
      "svg",
      {
        fill: "none",
        xmlns: "http://www.w3.org/2000/svg",
        viewBox: "0 0 24 24",
      },
      [
        _createElementVNode("path", {
          d: "",
          stroke: "currentColor",
          "stroke-width": "2",
          "stroke-linecap": "round",
          "stroke-linejoin": "round",
        }),
      ]
    )
  );
}
`;

const dataSolidIcon = `import { createElementVNode as _createElementVNode, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";

export default function render(_ctx, _cache) {
  return (
    _openBlock(),
    _createElementBlock(
      "svg",
      {
        fill: "none",
        xmlns: "http://www.w3.org/2000/svg",
        viewBox: "0 0 24 24",
      },
      [
        _createElementVNode("path", {
          "fill-rule": "evenodd",
          "clip-rule": "evenodd",
          d: "",
          fill: "currentColor",
        }),
      ]
    )
  );
}
`;

const exportData = (fileName) => `\nexport { default as ${fileName} } from "./${fileName}";`;

const fileName = [
  "UserAddIcon",
  "UserAddSolidIcon",
  "UserRemoveIcon",
  "UserRemoveSolidIcon",
  "UserCircleIcon",
  "UserCircleSolidIcon",
  "UserGroupIcon",
  "UserGroupSolidIcon",
  "UserIcon",
  "UserSolidIcon",
  "UsersIcon",
  "UsersSolidIcon",
];

fileName.forEach((file) => {
  if (file.includes("Solid")) {
    fs.writeFile(`users/${file}.d.ts`, dataTs(file), (err) => {
      // In case of a error throw err.
      if (err) throw err;
    });
    fs.writeFile(`users/${file}.js`, dataSolidIcon, (err) => {
      // In case of a error throw err.
      if (err) throw err;
    });
  } else {
    fs.writeFile(`users/${file}.d.ts`, dataTs(file), (err) => {
      // In case of a error throw err.
      if (err) throw err;
    });
    fs.writeFile(`users/${file}.js`, dataIcon, (err) => {
      // In case of a error throw err.
      if (err) throw err;
    });
  }
});

fileName.forEach((file) => {
  fs.appendFile(
    "users/index.d.ts",
    exportData(file),
    "utf8",
    // callback function
    function (err) {
      if (err) throw err;
      // if no error
      console.log("Data is appended to file successfully.");
    }
  );
  fs.appendFile(
    "users/index.js",
    exportData(file),
    "utf8",
    // callback function
    function (err) {
      if (err) throw err;
      // if no error
      console.log("Data is appended to file successfully.");
    }
  );
});
